opds: OPDS catalog

API: standardebooks.org:standard-ebooks-api
Endpoint: /feeds/opds
Response format: application/atom+xml
Auth: unknown
Method: GET
Last Status: 401
Latency: 417ms

Description

Returns an OPDS 1.2 Atom feed containing the complete ebook catalog for use in ereading apps and programs. Enables browsing, searching, and downloading ebooks in ereader applications that support OPDS.

From spec: Returns an OPDS 1.2 catalog for ereading apps to search, browse, and download ebooks.

Usage Tips

- Content-Type: application/atom+xml;profile=opds-catalog;kind=acquisition - Requires Patrons Circle membership (except for new-releases feed) - Works with ereading apps like Aldiko, FBReader, and Moon+ Reader - Use HTTP Basic Auth with email address and blank password for Patrons Circle access

Examples (1)

OPDS catalog feed (Patrons Circle) doc_extracted

Demonstrates the OPDS 1.2 catalog endpoint that returns the complete ebook catalog in OPDS format for use in ereading applications.

curl 'https://standardebooks.org/feeds/opds'
import requests

resp = requests.get("https://standardebooks.org/feeds/opds")
data = resp.json()
import zingu_apis

api = zingu_apis.api("standardebooks")
result = api.fetch("feeds/opds")

for item in result:
    print(item)
const resp = await fetch("https://standardebooks.org/feeds/opds");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:18:17.280559 401 417ms
2026-04-15 02:23:36.051855 401 420ms
2026-04-14 01:50:49.920869 401 472ms
2026-04-12 16:32:03.837020 401 418ms
2026-04-10 00:58:17.276952 401 949ms
2026-04-09 01:43:19.248384 401 440ms